Users
Update a team member
Updates the role of a specific member (user_id) within a workspace (team_id).
Roles can include owner, admin, member, or guest.
PATCH
Update a team member
Documentation Index
Fetch the complete documentation index at: https://superthread.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
User ID is an alphanumerical string that identifies a user.
Body
application/json
Available options:
owner, admin, member, guest, guestReader Response
updated team member
Previous
Delete a team memberRemoves a specific member (`user_id`) from a workspace (`team_id`).
The member is not deleted but is marked as `inactive` and removed from the team.
Next
Update a team member